gtkmm: Gtk::TextTag Class Reference

gtkmm 4.13.3

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::TextTag Class Reference
TextView Classes

Typedefed as Gtk::TextBuffer::Tag. More...

`#include <gtkmm/texttag.h>`

Inheritance diagram for Gtk::TextTag:
[legend]

## Public Member Functions
| TextTag (TextTag && src) noexcept
TextTag & | operator= (TextTag && src) noexcept
| ~TextTag () noexcept override
GtkTextTag * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkTextTag * | gobj () const
| Provides access to the underlying C GObject. More...
GtkTextTag * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
int | get_priority () const
| Get the tag priority. More...
void | set_priority (int priority)
| Sets the priority of a `Gtk::TextTag`. More...
void | tag_changed (bool size_changed)
| Emits the Gtk::TextTagTable::signal_tag_changed() signal on the `Gtk::TextTagTable` where the tag is included. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| The name used to refer to the tag. More...
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_background ()
| Background color as a string. More...
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_foreground ()
| Foreground color as a string. More...
Glib::PropertyProxy< Gdk::RGBA > | property_background_rgba ()
| Background color as a `GdkRGBA`. More...
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_background_rgba () const
| Background color as a `GdkRGBA`. More...
Glib::PropertyProxy< Gdk::RGBA > | property_foreground_rgba ()
| Foreground color as a `GdkRGBA`. More...
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_foreground_rgba () const
| Foreground color as a `GdkRGBA`. More...
Glib::PropertyProxy< Glib::ustring > | property_font ()
| Font description as string, e.g. \"Sans Italic 12\\". More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_font () const
| Font description as string, e.g. \"Sans Italic 12\\". More...
Glib::PropertyProxy< Pango::FontDescription > | property_font_desc ()
| Font description as a `Pango::FontDescription`. More...
Glib::PropertyProxy_ReadOnly< Pango::FontDescription > | property_font_desc () const
| Font description as a `Pango::FontDescription`. More...
Glib::PropertyProxy< Glib::ustring > | property_family ()
| Name of the font family, e.g. Sans, Helvetica, Times, Monospace. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_family () const
| Name of the font family, e.g. Sans, Helvetica, Times, Monospace. More...
Glib::PropertyProxy< Pango::Style > | property_style ()
| Font style as a `Pango::Style`, e.g. Pango::Style::ITALIC. More...
Glib::PropertyProxy_ReadOnly< Pango::Style > | property_style () const
| Font style as a `Pango::Style`, e.g. Pango::Style::ITALIC. More...
Glib::PropertyProxy< Pango::Variant > | property_variant ()
| Font variant as a `Pango::Variant`, e.g. Pango::Variant::SMALL_CAPS. More...
Glib::PropertyProxy_ReadOnly< Pango::Variant > | property_variant () const
| Font variant as a `Pango::Variant`, e.g. Pango::Variant::SMALL_CAPS. More...
Glib::PropertyProxy< int > | property_weight ()
| Font weight as an integer. More...
Glib::PropertyProxy_ReadOnly< int > | property_weight () const
| Font weight as an integer. More...
Glib::PropertyProxy< Pango::Stretch > | property_stretch ()
| Font stretch as a `Pango::Stretch`, e.g. Pango::Stretch::CONDENSED. More...
Glib::PropertyProxy_ReadOnly< Pango::Stretch > | property_stretch () const
| Font stretch as a `Pango::Stretch`, e.g. Pango::Stretch::CONDENSED. More...
Glib::PropertyProxy< int > | property_size ()
| Font size in Pango units. More...
Glib::PropertyProxy_ReadOnly< int > | property_size () const
| Font size in Pango units. More...
Glib::PropertyProxy< double > | property_size_points ()
| Font size in points. More...
Glib::PropertyProxy_ReadOnly< double > | property_size_points () const
| Font size in points. More...
Glib::PropertyProxy< double > | property_scale ()
| Font size as a scale factor relative to the default font size. More...
Glib::PropertyProxy_ReadOnly< double > | property_scale () const
| Font size as a scale factor relative to the default font size. More...
Glib::PropertyProxy< int > | property_pixels_above_lines ()
| Pixels of blank space above paragraphs. More...
Glib::PropertyProxy_ReadOnly< int > | property_pixels_above_lines () const
| Pixels of blank space above paragraphs. More...
Glib::PropertyProxy< int > | property_pixels_below_lines ()
| Pixels of blank space below paragraphs. More...
Glib::PropertyProxy_ReadOnly< int > | property_pixels_below_lines () const
| Pixels of blank space below paragraphs. More...
Glib::PropertyProxy< int > | property_pixels_inside_wrap ()
| Pixels of blank space between wrapped lines in a paragraph. More...
Glib::PropertyProxy_ReadOnly< int > | property_pixels_inside_wrap () const
| Pixels of blank space between wrapped lines in a paragraph. More...
Glib::PropertyProxy< bool > | property_editable ()
| Whether the text can be modified by the user. More...
Glib::PropertyProxy_ReadOnly< bool > | property_editable () const
| Whether the text can be modified by the user. More...
Glib::PropertyProxy< WrapMode > | property_wrap_mode ()
| Whether to wrap lines never, at word boundaries, or at character boundaries. More...
Glib::PropertyProxy_ReadOnly< WrapMode > | property_wrap_mode () const
| Whether to wrap lines never, at word boundaries, or at character boundaries. More...
Glib::PropertyProxy< Justification > | property_justification ()
| Left, right, or center justification. More...
Glib::PropertyProxy_ReadOnly< Justification > | property_justification () const
| Left, right, or center justification. More...
Glib::PropertyProxy< TextDirection > | property_direction ()
| Text direction, e.g. right-to-left or left-to-right. More...
Glib::PropertyProxy_ReadOnly< TextDirection > | property_direction () const
| Text direction, e.g. right-to-left or left-to-right. More...
Glib::PropertyProxy< int > | property_left_margin ()
| Width of the left margin in pixels. More...
Glib::PropertyProxy_ReadOnly< int > | property_left_margin () const
| Width of the left margin in pixels. More...
Glib::PropertyProxy< int > | property_indent ()
| Amount to indent the paragraph, in pixels. More...
Glib::PropertyProxy_ReadOnly< int > | property_indent () const
| Amount to indent the paragraph, in pixels. More...
Glib::PropertyProxy< float > | property_line_height ()
| Factor to scale line height by. More...
Glib::PropertyProxy_ReadOnly< float > | property_line_height () const
| Factor to scale line height by. More...
Glib::PropertyProxy< bool > | property_strikethrough ()
| Whether to strike through the text. More...
Glib::PropertyProxy_ReadOnly< bool > | property_strikethrough () const
| Whether to strike through the text. More...
Glib::PropertyProxy< Gdk::RGBA > | property_strikethrough_rgba ()
| This property modifies the color of strikeouts. More...
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_strikethrough_rgba () const
| This property modifies the color of strikeouts. More...
Glib::PropertyProxy< int > | property_right_margin ()
| Width of the right margin, in pixels. More...
Glib::PropertyProxy_ReadOnly< int > | property_right_margin () const
| Width of the right margin, in pixels. More...
Glib::PropertyProxy< Pango::Underline > | property_underline ()
| Style of underline for this text. More...
Glib::PropertyProxy_ReadOnly< Pango::Underline > | property_underline () const
| Style of underline for this text. More...
Glib::PropertyProxy< Gdk::RGBA > | property_underline_rgba ()
| This property modifies the color of underlines. More...
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_underline_rgba () const
| This property modifies the color of underlines. More...
Glib::PropertyProxy< Pango::Overline > | property_overline ()
| Style of overline for this text. More...
Glib::PropertyProxy_ReadOnly< Pango::Overline > | property_overline () const
| Style of overline for this text. More...
Glib::PropertyProxy< Gdk::RGBA > | property_overline_rgba ()
| This property modifies the color of overlines. More...
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_overline_rgba () const
| This property modifies the color of overlines. More...
Glib::PropertyProxy< int > | property_rise ()
| Offset of text above the baseline, in Pango units. More...
Glib::PropertyProxy_ReadOnly< int > | property_rise () const
| Offset of text above the baseline, in Pango units. More...
Glib::PropertyProxy< bool > | property_background_full_height ()
| Whether the background color fills the entire line height or only the height of the tagged characters. More...
Glib::PropertyProxy_ReadOnly< bool > | property_background_full_height () const
| Whether the background color fills the entire line height or only the height of the tagged characters. More...
Glib::PropertyProxy< Glib::ustring > | property_language ()
| The language this text is in, as an ISO code. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_language () const
| The language this text is in, as an ISO code. More...
Glib::PropertyProxy< Pango::TabArray > | property_tabs ()
| Custom tabs for this text. More...
Glib::PropertyProxy_ReadOnly< Pango::TabArray > | property_tabs () const
| Custom tabs for this text. More...
Glib::PropertyProxy< bool > | property_invisible ()
| Whether this text is hidden. More...
Glib::PropertyProxy_ReadOnly< bool > | property_invisible () const
| Whether this text is hidden. More...
Glib::PropertyProxy_WriteOnly< Glib::ustring > | property_paragraph_background ()
| The paragraph background color as a string. More...
Glib::PropertyProxy< Gdk::RGBA > | property_paragraph_background_rgba ()
| The paragraph background color as a `GdkRGBA`. More...
Glib::PropertyProxy_ReadOnly< Gdk::RGBA > | property_paragraph_background_rgba () const
| The paragraph background color as a `GdkRGBA`. More...
Glib::PropertyProxy< Glib::ustring > | property_font_features ()
| OpenType font features, as a string. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_font_features () const
| OpenType font features, as a string. More...
Glib::PropertyProxy< bool > | property_allow_breaks ()
| Whether breaks are allowed. More...
Glib::PropertyProxy_ReadOnly< bool > | property_allow_breaks () const
| Whether breaks are allowed. More...
Glib::PropertyProxy< Pango::ShowFlags > | property_show_spaces ()
| How to render invisible characters. More...
Glib::PropertyProxy_ReadOnly< Pango::ShowFlags > | property_show_spaces () const
| How to render invisible characters. More...
Glib::PropertyProxy< bool > | property_insert_hyphens ()
| Whether to insert hyphens at breaks. More...
Glib::PropertyProxy_ReadOnly< bool > | property_insert_hyphens () const
| Whether to insert hyphens at breaks. More...
Glib::PropertyProxy< Pango::TextTransform > | property_text_transform ()
| How to transform the text for display. More...
Glib::PropertyProxy_ReadOnly< Pango::TextTransform > | property_text_transform () const
| How to transform the text for display. More...
Glib::PropertyProxy< bool > | property_word ()
| Whether this tag represents a single word. More...
Glib::PropertyProxy_ReadOnly< bool > | property_word () const
| Whether this tag represents a single word. More...
Glib::PropertyProxy< bool > | property_sentence ()
| Whether this tag represents a single sentence. More...
Glib::PropertyProxy_ReadOnly< bool > | property_sentence () const
| Whether this tag represents a single sentence. More...
Glib::PropertyProxy< bool > | property_accumulative_margin ()
| Whether the margins accumulate or override each other. More...
Glib::PropertyProxy_ReadOnly< bool > | property_accumulative_margin () const
| Whether the margins accumulate or override each other. More...
Glib::PropertyProxy< bool > | property_background_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_background_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_foreground_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_foreground_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_family_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_family_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_style_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_style_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_variant_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_variant_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_weight_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_weight_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_stretch_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_stretch_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_size_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_size_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_scale_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_scale_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_pixels_above_lines_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_pixels_above_lines_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_pixels_below_lines_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_pixels_below_lines_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_pixels_inside_wrap_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_pixels_inside_wrap_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_editable_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_editable_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_wrap_mode_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_wrap_mode_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_justification_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_justification_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_left_margin_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_left_margin_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_indent_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_indent_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_line_height_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_line_height_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_strikethrough_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_strikethrough_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_strikethrough_rgba_set ()
| If the `strikethrough-rgba` property has been set. More...
Glib::PropertyProxy_ReadOnly< bool > | property_strikethrough_rgba_set () const
| If the `strikethrough-rgba` property has been set. More...
Glib::PropertyProxy< bool > | property_right_margin_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_right_margin_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_underline_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_underline_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_underline_rgba_set ()
| If the `underline-rgba` property has been set. More...
Glib::PropertyProxy_ReadOnly< bool > | property_underline_rgba_set () const
| If the `underline-rgba` property has been set. More...
Glib::PropertyProxy< bool > | property_overline_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_overline_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_overline_rgba_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_overline_rgba_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_rise_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_rise_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_background_full_height_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_background_full_height_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_language_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_language_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_tabs_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_tabs_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_invisible_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_invisible_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_paragraph_background_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_paragraph_background_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_fallback ()
| Whether font fallback is enabled. More...
Glib::PropertyProxy_ReadOnly< bool > | property_fallback () const
| Whether font fallback is enabled. More...
Glib::PropertyProxy< bool > | property_fallback_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_fallback_set () const
| Default value: `false` More...
Glib::PropertyProxy< int > | property_letter_spacing ()
| Extra spacing between graphemes, in Pango units. More...
Glib::PropertyProxy_ReadOnly< int > | property_letter_spacing () const
| Extra spacing between graphemes, in Pango units. More...
Glib::PropertyProxy< bool > | property_letter_spacing_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_letter_spacing_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_font_features_set ()
Glib::PropertyProxy_ReadOnly< bool > | property_font_features_set () const
Glib::PropertyProxy< bool > | property_allow_breaks_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_allow_breaks_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_show_spaces_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_show_spaces_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_insert_hyphens_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_insert_hyphens_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_text_transform_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_text_transform_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_word_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_word_set () const
| Default value: `false` More...
Glib::PropertyProxy< bool > | property_sentence_set ()
| Default value: `false` More...
Glib::PropertyProxy_ReadOnly< bool > | property_sentence_set () const
| Default value: `false` More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data_with_c_callback (const Quark &key, void *data, GDestroyNotify notify)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (notifiable *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (notifiable *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< TextTag > | create ()
static Glib::RefPtr< TextTag > | create (const Glib::ustring & name)

## Protected Member Functions
| TextTag ()
| TextTag (const Glib::ustring & name)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::TextTag > | wrap (GtkTextTag * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Public Types inherited from sigc::notifiable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Typedefed as Gtk::TextBuffer::Tag.

Text in a buffer can be marked with tags. A tag is an attribute that can be applied to some range of text. For example, a tag might be called "bold" and might make the text inside the tag bold. However, the tag concept is more general than that; tags don't have to affect appearance. They can instead affect the behavior of mouse and key presses, "lock" a range of text so the user can't edit it, or countless other things. One tag can be applied to any number of text ranges in any number of Gtk::TextBuffers.

Each tag is stored in a Gtk::TextBuffer::TagTable, and Tags should be in the Gtk::TextBuffer::TagTable for a given Gtk::TextBuffer before using them with that buffer.

Tags can have names, which is convenient sometimes (for example, you can name your tag that makes things bold "bold"), but they can also be anonymous (which is convenient if you're creating tags on-the-fly).

Gtk::TextBuffer::create_tag() is the best way to create tags. See the demo for numerous examples.

## Constructor & Destructor Documentation

## ◆ TextTag() [1/3]

Gtk::TextTag::TextTag | ( | TextTag && | src | ) |
| noexcept

## ◆ ~TextTag()

Gtk::TextTag::~TextTag | ( |  | ) |
| overridenoexcept

## ◆ TextTag() [2/3]

Gtk::TextTag::TextTag | ( |  | ) |
| protected

## ◆ TextTag() [3/3]

Gtk::TextTag::TextTag | ( | const Glib::ustring & | name | ) |
| explicitprotected

## Member Function Documentation

## ◆ create() [1/2]

static Glib::RefPtr< TextTag > Gtk::TextTag::create | ( |  | ) |
| static

## ◆ create() [2/2]

static Glib::RefPtr< TextTag > Gtk::TextTag::create | ( | const Glib::ustring & | name | ) |
| static

## ◆ get_priority()

int Gtk::TextTag::get_priority | ( |  | ) | const

Get the tag priority.

Returns
  The tag’s priority.

## ◆ get_type()

static GType Gtk::TextTag::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkTextTag * Gtk::TextTag::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkTextTag * Gtk::TextTag::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkTextTag * Gtk::TextTag::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

TextTag & Gtk::TextTag::operator= | ( | TextTag && | src | ) |
| noexcept

## ◆ property_accumulative_margin() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_accumulative_margin | ( |  | ) |

Whether the margins accumulate or override each other.

When set to `true` the margins of this tag are added to the margins of any other non-accumulative margins present. When set to `false` the margins override one another (the default).

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_accumulative_margin() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_accumulative_margin | ( |  | ) | const

Whether the margins accumulate or override each other.

When set to `true` the margins of this tag are added to the margins of any other non-accumulative margins present. When set to `false` the margins override one another (the default).

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_allow_breaks() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_allow_breaks | ( |  | ) |

Whether breaks are allowed.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_allow_breaks() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_allow_breaks | ( |  | ) | const

Whether breaks are allowed.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_allow_breaks_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_allow_breaks_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_allow_breaks_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_allow_breaks_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_background()

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gtk::TextTag::property_background | ( |  | ) |

Background color as a string.

Default value: ""

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_full_height() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_background_full_height | ( |  | ) |

Whether the background color fills the entire line height or only the height of the tagged characters.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_full_height() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_background_full_height | ( |  | ) | const

Whether the background color fills the entire line height or only the height of the tagged characters.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_full_height_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_background_full_height_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_full_height_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_background_full_height_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_rgba() [1/2]

Glib::PropertyProxy< Gdk::RGBA > Gtk::TextTag::property_background_rgba | ( |  | ) |

Background color as a `GdkRGBA`.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_rgba() [2/2]

Glib::PropertyProxy_ReadOnly< Gdk::RGBA > Gtk::TextTag::property_background_rgba | ( |  | ) | const

Background color as a `GdkRGBA`.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_background_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_background_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_background_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_direction() [1/2]

Glib::PropertyProxy< TextDirection > Gtk::TextTag::property_direction | ( |  | ) |

Text direction, e.g. right-to-left or left-to-right.

Default value: Gtk::TextDirection::NONE

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_direction() [2/2]

Glib::PropertyProxy_ReadOnly< TextDirection > Gtk::TextTag::property_direction | ( |  | ) | const

Text direction, e.g. right-to-left or left-to-right.

Default value: Gtk::TextDirection::NONE

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_editable() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_editable | ( |  | ) |

Whether the text can be modified by the user.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_editable() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_editable | ( |  | ) | const

Whether the text can be modified by the user.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_editable_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_editable_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_editable_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_editable_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_fallback() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_fallback | ( |  | ) |

Whether font fallback is enabled.

When set to `true`, other fonts will be substituted where the current font is missing glyphs.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_fallback() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_fallback | ( |  | ) | const

Whether font fallback is enabled.

When set to `true`, other fonts will be substituted where the current font is missing glyphs.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_fallback_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_fallback_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_fallback_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_fallback_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_family() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::TextTag::property_family | ( |  | ) |

Name of the font family, e.g. Sans, Helvetica, Times, Monospace.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_family() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::TextTag::property_family | ( |  | ) | const

Name of the font family, e.g. Sans, Helvetica, Times, Monospace.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_family_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_family_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_family_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_family_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_font() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::TextTag::property_font | ( |  | ) |

Font description as string, e.g. \"Sans Italic 12\\".

Note that the initial value of this property depends on the internals of `Pango::FontDescription`.

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_font() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::TextTag::property_font | ( |  | ) | const

Font description as string, e.g. \"Sans Italic 12\\".

Note that the initial value of this property depends on the internals of `Pango::FontDescription`.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_font_desc() [1/2]

Glib::PropertyProxy< Pango::FontDescription > Gtk::TextTag::property_font_desc | ( |  | ) |

Font description as a `Pango::FontDescription`.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_font_desc() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::FontDescription > Gtk::TextTag::property_font_desc | ( |  | ) | const

Font description as a `Pango::FontDescription`.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_font_features() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::TextTag::property_font_features | ( |  | ) |

OpenType font features, as a string.

Since gtkmm 3.20:

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_font_features() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::TextTag::property_font_features | ( |  | ) | const

OpenType font features, as a string.

Since gtkmm 3.20:

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_font_features_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_font_features_set | ( |  | ) |

Since gtkmm 3.20:

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_font_features_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_font_features_set | ( |  | ) | const

Since gtkmm 3.20:

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_foreground()

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gtk::TextTag::property_foreground | ( |  | ) |

Foreground color as a string.

Default value: ""

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

## ◆ property_foreground_rgba() [1/2]

Glib::PropertyProxy< Gdk::RGBA > Gtk::TextTag::property_foreground_rgba | ( |  | ) |

Foreground color as a `GdkRGBA`.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_foreground_rgba() [2/2]

Glib::PropertyProxy_ReadOnly< Gdk::RGBA > Gtk::TextTag::property_foreground_rgba | ( |  | ) | const

Foreground color as a `GdkRGBA`.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_foreground_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_foreground_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_foreground_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_foreground_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_indent() [1/2]

Glib::PropertyProxy< int > Gtk::TextTag::property_indent | ( |  | ) |

Amount to indent the paragraph, in pixels.

A negative value of indent will produce a hanging indentation. That is, the first line will have the full width, and subsequent lines will be indented by the absolute value of indent.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_indent() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_indent | ( |  | ) | const

Amount to indent the paragraph, in pixels.

A negative value of indent will produce a hanging indentation. That is, the first line will have the full width, and subsequent lines will be indented by the absolute value of indent.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_indent_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_indent_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_indent_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_indent_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_insert_hyphens() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_insert_hyphens | ( |  | ) |

Whether to insert hyphens at breaks.

Default value: `true`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_insert_hyphens() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_insert_hyphens | ( |  | ) | const

Whether to insert hyphens at breaks.

Default value: `true`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_insert_hyphens_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_insert_hyphens_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_insert_hyphens_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_insert_hyphens_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_invisible() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_invisible | ( |  | ) |

Whether this text is hidden.

Note that there may still be problems with the support for invisible text, in particular when navigating programmatically inside a buffer containing invisible segments.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_invisible() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_invisible | ( |  | ) | const

Whether this text is hidden.

Note that there may still be problems with the support for invisible text, in particular when navigating programmatically inside a buffer containing invisible segments.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_invisible_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_invisible_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_invisible_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_invisible_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_justification() [1/2]

Glib::PropertyProxy< Justification > Gtk::TextTag::property_justification | ( |  | ) |

Left, right, or center justification.

Default value: Gtk::Justification::LEFT

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_justification() [2/2]

Glib::PropertyProxy_ReadOnly< Justification > Gtk::TextTag::property_justification | ( |  | ) | const

Left, right, or center justification.

Default value: Gtk::Justification::LEFT

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_justification_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_justification_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_justification_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_justification_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_language() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::TextTag::property_language | ( |  | ) |

The language this text is in, as an ISO code.

Pango can use this as a hint when rendering the text. If not set, an appropriate default will be used.

Note that the initial value of this property depends on the current locale, see also gtk_get_default_language().

Default value: ""

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_language() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::TextTag::property_language | ( |  | ) | const

The language this text is in, as an ISO code.

Pango can use this as a hint when rendering the text. If not set, an appropriate default will be used.

Note that the initial value of this property depends on the current locale, see also gtk_get_default_language().

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_language_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_language_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_language_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_language_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_left_margin() [1/2]

Glib::PropertyProxy< int > Gtk::TextTag::property_left_margin | ( |  | ) |

Width of the left margin in pixels.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_left_margin() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_left_margin | ( |  | ) | const

Width of the left margin in pixels.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_left_margin_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_left_margin_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_left_margin_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_left_margin_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_letter_spacing() [1/2]

Glib::PropertyProxy< int > Gtk::TextTag::property_letter_spacing | ( |  | ) |

Extra spacing between graphemes, in Pango units.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_letter_spacing() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_letter_spacing | ( |  | ) | const

Extra spacing between graphemes, in Pango units.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_letter_spacing_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_letter_spacing_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_letter_spacing_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_letter_spacing_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_line_height() [1/2]

Glib::PropertyProxy< float > Gtk::TextTag::property_line_height | ( |  | ) |

Factor to scale line height by.

Since gtkmm 4.6:

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_line_height() [2/2]

Glib::PropertyProxy_ReadOnly< float > Gtk::TextTag::property_line_height | ( |  | ) | const

Factor to scale line height by.

Since gtkmm 4.6:

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_line_height_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_line_height_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_line_height_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_line_height_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_name()

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::TextTag::property_name | ( |  | ) | const

The name used to refer to the tag.

`nullptr` for anonymous tags.

Default value: ""

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_overline() [1/2]

Glib::PropertyProxy< Pango::Overline > Gtk::TextTag::property_overline | ( |  | ) |

Style of overline for this text.

Default value: Pango::Overline::NONE

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_overline() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::Overline > Gtk::TextTag::property_overline | ( |  | ) | const

Style of overline for this text.

Default value: Pango::Overline::NONE

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_overline_rgba() [1/2]

Glib::PropertyProxy< Gdk::RGBA > Gtk::TextTag::property_overline_rgba | ( |  | ) |

This property modifies the color of overlines.

If not set, overlines will use the foreground color.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_overline_rgba() [2/2]

Glib::PropertyProxy_ReadOnly< Gdk::RGBA > Gtk::TextTag::property_overline_rgba | ( |  | ) | const

This property modifies the color of overlines.

If not set, overlines will use the foreground color.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_overline_rgba_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_overline_rgba_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_overline_rgba_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_overline_rgba_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_overline_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_overline_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_overline_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_overline_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_paragraph_background()

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gtk::TextTag::property_paragraph_background | ( |  | ) |

The paragraph background color as a string.

Default value: ""

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

## ◆ property_paragraph_background_rgba() [1/2]

Glib::PropertyProxy< Gdk::RGBA > Gtk::TextTag::property_paragraph_background_rgba | ( |  | ) |

The paragraph background color as a `GdkRGBA`.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_paragraph_background_rgba() [2/2]

Glib::PropertyProxy_ReadOnly< Gdk::RGBA > Gtk::TextTag::property_paragraph_background_rgba | ( |  | ) | const

The paragraph background color as a `GdkRGBA`.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_paragraph_background_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_paragraph_background_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_paragraph_background_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_paragraph_background_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_above_lines() [1/2]

Glib::PropertyProxy< int > Gtk::TextTag::property_pixels_above_lines | ( |  | ) |

Pixels of blank space above paragraphs.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_above_lines() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_pixels_above_lines | ( |  | ) | const

Pixels of blank space above paragraphs.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_above_lines_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_pixels_above_lines_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_above_lines_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_pixels_above_lines_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_below_lines() [1/2]

Glib::PropertyProxy< int > Gtk::TextTag::property_pixels_below_lines | ( |  | ) |

Pixels of blank space below paragraphs.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_below_lines() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_pixels_below_lines | ( |  | ) | const

Pixels of blank space below paragraphs.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_below_lines_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_pixels_below_lines_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_below_lines_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_pixels_below_lines_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_inside_wrap() [1/2]

Glib::PropertyProxy< int > Gtk::TextTag::property_pixels_inside_wrap | ( |  | ) |

Pixels of blank space between wrapped lines in a paragraph.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_inside_wrap() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_pixels_inside_wrap | ( |  | ) | const

Pixels of blank space between wrapped lines in a paragraph.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_inside_wrap_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_pixels_inside_wrap_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_pixels_inside_wrap_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_pixels_inside_wrap_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_right_margin() [1/2]

Glib::PropertyProxy< int > Gtk::TextTag::property_right_margin | ( |  | ) |

Width of the right margin, in pixels.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_right_margin() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_right_margin | ( |  | ) | const

Width of the right margin, in pixels.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_right_margin_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_right_margin_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_right_margin_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_right_margin_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_rise() [1/2]

Glib::PropertyProxy< int > Gtk::TextTag::property_rise | ( |  | ) |

Offset of text above the baseline, in Pango units.

Negative values go below the baseline.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_rise() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_rise | ( |  | ) | const

Offset of text above the baseline, in Pango units.

Negative values go below the baseline.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_rise_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_rise_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_rise_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_rise_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_scale() [1/2]

Glib::PropertyProxy< double > Gtk::TextTag::property_scale | ( |  | ) |

Font size as a scale factor relative to the default font size.

This properly adapts to theme changes, etc. so is recommended. Pango predefines some scales such as Pango::SCALE_X_LARGE.

Default value: 1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_scale() [2/2]

Glib::PropertyProxy_ReadOnly< double > Gtk::TextTag::property_scale | ( |  | ) | const

Font size as a scale factor relative to the default font size.

This properly adapts to theme changes, etc. so is recommended. Pango predefines some scales such as Pango::SCALE_X_LARGE.

Default value: 1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_scale_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_scale_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_scale_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_scale_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_sentence() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_sentence | ( |  | ) |

Whether this tag represents a single sentence.

This affects cursor movement.

Since gtkmm 4.6:

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_sentence() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_sentence | ( |  | ) | const

Whether this tag represents a single sentence.

This affects cursor movement.

Since gtkmm 4.6:

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_sentence_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_sentence_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_sentence_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_sentence_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_show_spaces() [1/2]

Glib::PropertyProxy< Pango::ShowFlags > Gtk::TextTag::property_show_spaces | ( |  | ) |

How to render invisible characters.

Default value: Pango::ShowFlags::NONE

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_show_spaces() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::ShowFlags > Gtk::TextTag::property_show_spaces | ( |  | ) | const

How to render invisible characters.

Default value: Pango::ShowFlags::NONE

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_show_spaces_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_show_spaces_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_show_spaces_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_show_spaces_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_size() [1/2]

Glib::PropertyProxy< int > Gtk::TextTag::property_size | ( |  | ) |

Font size in Pango units.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_size() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_size | ( |  | ) | const

Font size in Pango units.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_size_points() [1/2]

Glib::PropertyProxy< double > Gtk::TextTag::property_size_points | ( |  | ) |

Font size in points.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_size_points() [2/2]

Glib::PropertyProxy_ReadOnly< double > Gtk::TextTag::property_size_points | ( |  | ) | const

Font size in points.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_size_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_size_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_size_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_size_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_stretch() [1/2]

Glib::PropertyProxy< Pango::Stretch > Gtk::TextTag::property_stretch | ( |  | ) |

Font stretch as a `Pango::Stretch`, e.g. Pango::Stretch::CONDENSED.

Default value: Pango::Stretch::NORMAL

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_stretch() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::Stretch > Gtk::TextTag::property_stretch | ( |  | ) | const

Font stretch as a `Pango::Stretch`, e.g. Pango::Stretch::CONDENSED.

Default value: Pango::Stretch::NORMAL

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_stretch_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_stretch_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_stretch_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_stretch_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_strikethrough | ( |  | ) |

Whether to strike through the text.

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_strikethrough | ( |  | ) | const

Whether to strike through the text.

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough_rgba() [1/2]

Glib::PropertyProxy< Gdk::RGBA > Gtk::TextTag::property_strikethrough_rgba | ( |  | ) |

This property modifies the color of strikeouts.

If not set, strikeouts will use the foreground color.

Since gtkmm 3.20:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough_rgba() [2/2]

Glib::PropertyProxy_ReadOnly< Gdk::RGBA > Gtk::TextTag::property_strikethrough_rgba | ( |  | ) | const

This property modifies the color of strikeouts.

If not set, strikeouts will use the foreground color.

Since gtkmm 3.20:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough_rgba_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_strikethrough_rgba_set | ( |  | ) |

If the `strikethrough-rgba` property has been set.

Since gtkmm 3.20:

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough_rgba_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_strikethrough_rgba_set | ( |  | ) | const

If the `strikethrough-rgba` property has been set.

Since gtkmm 3.20:

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_strikethrough_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_strikethrough_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_strikethrough_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_style() [1/2]

Glib::PropertyProxy< Pango::Style > Gtk::TextTag::property_style | ( |  | ) |

Font style as a `Pango::Style`, e.g. Pango::Style::ITALIC.

Default value: Pango::Style::NORMAL

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_style() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::Style > Gtk::TextTag::property_style | ( |  | ) | const

Font style as a `Pango::Style`, e.g. Pango::Style::ITALIC.

Default value: Pango::Style::NORMAL

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_style_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_style_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_style_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_style_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_tabs() [1/2]

Glib::PropertyProxy< Pango::TabArray > Gtk::TextTag::property_tabs | ( |  | ) |

Custom tabs for this text.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_tabs() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::TabArray > Gtk::TextTag::property_tabs | ( |  | ) | const

Custom tabs for this text.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_tabs_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_tabs_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_tabs_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_tabs_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_text_transform() [1/2]

Glib::PropertyProxy< Pango::TextTransform > Gtk::TextTag::property_text_transform | ( |  | ) |

How to transform the text for display.

Since gtkmm 4.6:

Default value: Pango::TextTransform::NONE

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_text_transform() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::TextTransform > Gtk::TextTag::property_text_transform | ( |  | ) | const

How to transform the text for display.

Since gtkmm 4.6:

Default value: Pango::TextTransform::NONE

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_text_transform_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_text_transform_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_text_transform_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_text_transform_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline() [1/2]

Glib::PropertyProxy< Pango::Underline > Gtk::TextTag::property_underline | ( |  | ) |

Style of underline for this text.

Default value: Pango::Underline::NONE

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::Underline > Gtk::TextTag::property_underline | ( |  | ) | const

Style of underline for this text.

Default value: Pango::Underline::NONE

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline_rgba() [1/2]

Glib::PropertyProxy< Gdk::RGBA > Gtk::TextTag::property_underline_rgba | ( |  | ) |

This property modifies the color of underlines.

If not set, underlines will use the foreground color.

If property_underline() is set to Pango::Underline::ERROR, an alternate color may be applied instead of the foreground. Setting this property will always override those defaults.

Since gtkmm 3.20:

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline_rgba() [2/2]

Glib::PropertyProxy_ReadOnly< Gdk::RGBA > Gtk::TextTag::property_underline_rgba | ( |  | ) | const

This property modifies the color of underlines.

If not set, underlines will use the foreground color.

If property_underline() is set to Pango::Underline::ERROR, an alternate color may be applied instead of the foreground. Setting this property will always override those defaults.

Since gtkmm 3.20:

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline_rgba_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_underline_rgba_set | ( |  | ) |

If the `underline-rgba` property has been set.

Since gtkmm 3.20:

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline_rgba_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_underline_rgba_set | ( |  | ) | const

If the `underline-rgba` property has been set.

Since gtkmm 3.20:

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_underline_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_underline_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_underline_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_variant() [1/2]

Glib::PropertyProxy< Pango::Variant > Gtk::TextTag::property_variant | ( |  | ) |

Font variant as a `Pango::Variant`, e.g. Pango::Variant::SMALL_CAPS.

Default value: Pango::Variant::NORMAL

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_variant() [2/2]

Glib::PropertyProxy_ReadOnly< Pango::Variant > Gtk::TextTag::property_variant | ( |  | ) | const

Font variant as a `Pango::Variant`, e.g. Pango::Variant::SMALL_CAPS.

Default value: Pango::Variant::NORMAL

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_variant_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_variant_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_variant_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_variant_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_weight() [1/2]

Glib::PropertyProxy< int > Gtk::TextTag::property_weight | ( |  | ) |

Font weight as an integer.

Default value: 400

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_weight() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::TextTag::property_weight | ( |  | ) | const

Font weight as an integer.

Default value: 400

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_weight_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_weight_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_weight_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_weight_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_word() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_word | ( |  | ) |

Whether this tag represents a single word.

This affects line breaks and cursor movement.

Since gtkmm 4.6:

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_word() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_word | ( |  | ) | const

Whether this tag represents a single word.

This affects line breaks and cursor movement.

Since gtkmm 4.6:

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_word_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_word_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_word_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_word_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_wrap_mode() [1/2]

Glib::PropertyProxy< WrapMode > Gtk::TextTag::property_wrap_mode | ( |  | ) |

Whether to wrap lines never, at word boundaries, or at character boundaries.

Default value: Gtk::WrapMode::NONE

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_wrap_mode() [2/2]

Glib::PropertyProxy_ReadOnly< WrapMode > Gtk::TextTag::property_wrap_mode | ( |  | ) | const

Whether to wrap lines never, at word boundaries, or at character boundaries.

Default value: Gtk::WrapMode::NONE

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_wrap_mode_set() [1/2]

Glib::PropertyProxy< bool > Gtk::TextTag::property_wrap_mode_set | ( |  | ) |

Default value: `false`

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_wrap_mode_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::TextTag::property_wrap_mode_set | ( |  | ) | const

Default value: `false`

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_priority()

void Gtk::TextTag::set_priority | ( | int | priority | ) |

Sets the priority of a `Gtk::TextTag`.

Valid priorities start at 0 and go to one less than Gtk::TextTagTable::get_size(). Each tag in a table has a unique priority; setting the priority of one tag shifts the priorities of all the other tags in the table to maintain a unique priority for each tag.

Higher priority tags “win” if two tags both set the same text attribute. When adding a tag to a tag table, it will be assigned the highest priority in the table by default; so normally the precedence of a set of tags is the order in which they were added to the table, or created with Gtk::TextBuffer::create_tag(), which adds the tag to the buffer’s table automatically.

Parameters

  priority | The new priority.

## ◆ tag_changed()

void Gtk::TextTag::tag_changed | ( | bool | size_changed | ) |

Emits the Gtk::TextTagTable::signal_tag_changed() signal on the `Gtk::TextTagTable` where the tag is included.

The signal is already emitted when setting a `Gtk::TextTag` property. This function is useful for a `Gtk::TextTag` subclass.

Parameters

  size_changed | Whether the change affects the `Gtk::TextView` layout.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::TextTag > wrap | ( | GtkTextTag * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.